org.apache.struts2.el.parser

## Class ELParserTokenManager

- java.lang.Object
- - org.apache.struts2.el.parser.ELParserTokenManager

- All Implemented Interfaces:
    ELParserConstants

      public class ELParserTokenManager
      extends Object
      implements ELParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `PrintStream` | `debugStream` Debug output.
    `protected SimpleCharStream` | `input_stream`
    `static int[]` | `jjnewLexState` Lex State array.
    `static String[]` | `jjstrLiteralImages` Token literal values.
    `static String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface org.apache.struts2.el.parser.ELParserConstants

      `AND0, AND1, BADLY_ESCAPED_STRING_LITERAL, COLON, COMMA, DEFAULT, DIGIT, DIV0, DIV1, DOT, EMPTY, END_EXPRESSION, EOF, EQ0, EQ1, EXPONENT, FALSE, FLOATING_POINT_LITERAL, FUNCTIONSUFFIX, GE0, GE1, GT0, GT1, IDENTIFIER, ILLEGAL_CHARACTER, IMPL_OBJ_START, IN_EXPRESSION, INSTANCEOF, INTEGER_LITERAL, LBRACK, LE0, LE1, LETTER, LITERAL_EXPRESSION, LPAREN, LT0, LT1, MINUS, MOD0, MOD1, MULT, NE0, NE1, NOT0, NOT1, NULL, OR0, OR1, PLUS, QUESTIONMARK, RBRACK, RPAREN, START_DEFERRED_EXPRESSION, START_DYNAMIC_EXPRESSION, STRING_LITERAL, tokenImage, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELParserTokenManager(SimpleCharStream stream)` Constructor.
    `ELParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()`
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
    `void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(PrintStream ds)`
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected SimpleCharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### ELParserTokenManager

          public ELParserTokenManager(SimpleCharStream stream)

      Constructor.
      Parameters:
        `stream` - simple char stream

    - #### ELParserTokenManager

          public ELParserTokenManager(SimpleCharStream stream,
                                      int lexState)

      Constructor.
      Parameters:
        `stream` - simple char stream
        `lexState` - state

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(PrintStream ds)

      Parameters:
        `ds` - Set debug output.

    - #### ReInit

          public void ReInit(SimpleCharStream stream)

      Reinitialise parser.
      Parameters:
        `stream` - simple char stream

    - #### ReInit

          public void ReInit(SimpleCharStream stream,
                             int lexState)

      Reinitialise parser.
      Parameters:
        `stream` - simple char stream
        `lexState` - state

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.
      Parameters:
        `lexState` - state

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Returns:
        the next Token.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.